/*
 * tsample.c
 */

#include <stdio.h>
#include <stdlib.h>
#include "s_csvio.h"
#include "s_cellio.h"

/*
 *
 */

int sum_y ( int y, int x, int mx, int sum ) {

  if ( x < mx ) {
	return sum_y ( y, x + 1, mx, sum + s_get_cell_with_position ( x, y ) );
  } else {
	return sum;
  }
}

/*
 *
 */

void tsample() {

  /*
	A11 = B4+D7
  */

  s_set_cell_with_name ( "A11",
						 s_get_cell_with_name ( "B4" )
						+
						 s_get_cell_with_name ( "D7" ) );

  /*
	K4 = sum( A3:J3 )
  */

  s_set_cell_with_name ( "K4",  sum_y ( 3, 0, 10, 0 ) );

}

/*
 *
 */

int main ( int argc, char *argv[] ) {

  if ( argc > 1 ) {
	s_load_csv ( argv[1] );

	tsample();

	if ( argc > 2 ) {
		s_save_csv ( argv[2] );
	} else {
		s_save_csv ( argv[1] );
	}
  }

  return 0;
}
